using System;
using System.Diagnostics;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using System.Collections;
using System.Collections.Generic;
using KeyboardInputPlugin;

class KeyboardHandlerTest
{
    private static bool KeyboardHandler_KeyPressHandler(int keycode)
    {
        Console.WriteLine(keycode + " = " + KeyboardHandler.GetKeycodeDesc(keycode));
        if (keycode == 10067) // Ctrl+C
        {
            Application.Exit();
        }
        return false;
    }

    public static void Main()
    {
        KeyboardHandler kh = new KeyboardHandler(
            new KeyPressHandler(KeyboardHandler_KeyPressHandler)
        );
        kh.IsEnabled = true;
        Application.Run();
        kh.IsEnabled = false;
    }
}
